package fallbackStyle

import "image/color"
import "git.tebibyte.media/tomo/tomo"
import "git.tebibyte.media/tomo/nasin/internal/style"

// New returns Wintergreen, the default Tomo style. It is neutral-gray with
// green and turquoise accents.
func New () *style.Style {
	return &style.Style {
		Colors: map[tomo.Color] color.Color {
			tomo.ColorBackground: colorBackground,
			tomo.ColorForeground: colorForeground,
			tomo.ColorRaised:     colorCarved,
			tomo.ColorSunken:     colorCarved,
			tomo.ColorAccent:     colorFocus,
		},
		Rules: rules,
	}
}
